image: node:6

variables:
  REPO_NAME: gitlab.com/enoplay/com-enoplay-m

before_script:
  - node -v
  - npm install

stages:
  - build
  - test
  - deploy

build:
  stage: build
  script:
    - npm run build
  artifacts:
    paths:
      - node_modules/
      - .nuxt/

test:
  stage: test
  script:
    # install chrome
    - sh $CI_PROJECT_DIR/ci/install-chrome.sh
    # Run test in virtual display mode
    - xvfb-run -a npm run unit
  artifacts:
    paths:
      - node_modules/
      - test/unit/coverage/

deploy-prod-beta:
  stage: deploy
  script:
    - apt-get update -yq
    - apt-get install -y ruby ruby-dev rubygems-integration
    - gem install dpl
    - dpl --provider=heroku --app=com-enoplay-beta --api-key=$HEROKU_API_KEY_PROD
  environment:
    name: com-enoplay-beta
    url: https://beta.enoplay.com
  only:
    - master

deploy-prod-mobile:
  stage: deploy
  script:
    - apt-get update -yq
    - apt-get install -y ruby ruby-dev rubygems-integration
    - gem install dpl
    - dpl --provider=heroku --app=com-enoplay-m --api-key=$HEROKU_API_KEY_PROD
  environment:
    name: com-enoplay-m
    url: https://m.enoplay.com
  only:
    - master
